#include <iostream>

#include "PamVMCTrkHit.h"
#include <TLorentzVector.h>

using std::cout;
using std::endl;

ClassImp(pTrkHitData)
ClassImp(PamVMCTrkHit)

pTrkHitData & operator+=( pTrkHitData &a, const pTrkHitData & p) {
  a.fNXMULT = p.fNXMULT;
  a.fNYMULT = p.fNYMULT;
  a.fXAVESPE = p.fXAVESPE;
  a.fYAVESPE = p.fYAVESPE;
  a.fZAVESPE = p.fZAVESPE;
  return a;
  //   return *this;
}

PamVMCTrkHit::PamVMCTrkHit() 
  : PamVMCDetectorHit()   
{

}

PamVMCTrkHit::~PamVMCTrkHit() 
{
  // Delete &fhitdata;  
}

void PamVMCTrkHit::operator = (const PamVMCTrkHit & hit){
  fhitdata=hit.fhitdata;
  ftrkhitdata=hit.ftrkhitdata;
} 

